{smcl}
{* 2014-08-03}{...}
{title:Title}
{p2colset 5 16 23 2}{...}

{p2col:{cmd:matcol} {hline 2}}Matrix operations on columns made simple | 2014-08-03{p_end}
{p2colreset}{...}

{title:General syntax}

{p 2 18 2}
{ul:Binary operations on columns}

{p 6 6 2}
{cmd:matcol } {it:Msource} {it:changedcol} = {it:leftcol} {it:operator} {it:rightcol}

{p 2 18 2}
{ul:Unary operations on columns}

{p 6 6 2}
{cmd:matcol } {it:Msource} {it:changedcol} = {it:operator}({it:column})

{p 2 18 2}
{ul:Statistics operations on matrix}

{p 6 6 2}
{cmd:matcol } {it:Msource} {it:changedcol} = {it:operator} [, {opt c:olumns(numlist)}]

{p 2 18 2}
{ul:Matrix}

{p 6 6 2}
{it:Msource} is the matrix to be modified. Note that the original content might be overwritten.

{p 2 18 2}
{ul:Specifying columns}

{p 6 6 2}
The column in {it:Msource} that is changed and the columns with information used to create the new information are specified as follows:

{p2colset 10 15 15 15}{...}
{p2col :#}Change that column; add columns if # exceeds dimension of matrix{p_end}
{p2col :n}Add one column to right side of matrix{p_end}
{p2col :l}Last column (lower case L){p_end}
{p2col :p}Prior column created by adding column at top of matrix{p_end}
{p2line}
{p2colset 7 21 22 0}
{pstd}
{p_end}
{p 6 9 2}
{it:changedcol} the column to be changed in {it:Msource}. If the column does not exist (e.g., row 5 in a 3x3 matrix) additional columns filled with missing values .z are added.

{p 6 9 2}
{it:leftcol} in binary operations, this is the column to the left of the operator.

{p 6 9 2}
{it:rightcol} in binary operations, this is the column to the right of the operator.

{p 6 6 2}
{it:column} in unary operations, this column is modified to create the {it:changedcol}.

{p 2 18 2}
{ul:Options for all types of operations}

{p 6 6 2}
{opt list} list matrix after changes.

{p 6 6 2}
{opt name(string)} row {it:changedcol#} is given this row name in the matrix.

{marker overview}
{title:Overview}

{pstd}
{cmd:matcol} makes changes to the matrix based on column operations
such as adding two columns, summing over columns, taking the square root of a column.
See {help matrow} for full details on operators and syntax.
{p_end}

{title:Author}

{p 2 5 10}
Scott Long

{p 2 8 0}
{browse "http://www.indiana.edu/~jslsoc/spost.htm":The SPost website.}
{browse "http://www.indiana.edu/~jslsoc/web_workflow/wf_home.htm":The Workflow website.}
{p_end}
